| Haskell Hierarchical Libraries (stm package) | Contents | Index

Control.Concurrent.STM.TMVar

Portability | non-portable (requires STM)
Stability | experimental
Maintainer | libraries@haskell.org

Contents

TVars

Description
TMVar: Transactional MVars, for use in the STM monad
Synopsis

data TMVar a
newTMVar :: a -> STM (TMVar a)
newEmptyTMVar :: STM (TMVar a)
takeTMVar :: TMVar a -> STM a
putTMVar :: TMVar a -> a -> STM ()
readTMVar :: TMVar a -> STM a
swapTMVar :: TMVar a -> a -> STM a
tryTakeTMVar :: TMVar a -> STM (Maybe a)
tryPutTMVar :: TMVar a -> a -> STM Bool
isEmptyTMVar :: TMVar a -> STM Bool

TVars
data TMVar a

newTMVar :: a -> STM (TMVar a)
newEmptyTMVar :: STM (TMVar a)
takeTMVar :: TMVar a -> STM a
putTMVar :: TMVar a -> a -> STM ()
readTMVar :: TMVar a -> STM a
swapTMVar :: TMVar a -> a -> STM a
tryTakeTMVar :: TMVar a -> STM (Maybe a)
tryPutTMVar :: TMVar a -> a -> STM Bool
isEmptyTMVar :: TMVar a -> STM Bool
Produced by Haddock version 0.7